summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--net-misc/nx/Manifest27
-rw-r--r--net-misc/nx/files/1.5.0/nx-x11-1.5.0-amd64.patch15
-rw-r--r--net-misc/nx/files/1.5.0/nx-x11-1.5.0-tmp-exec.patch11
-rw-r--r--net-misc/nx/files/1.5.0/nxcomp-1.5.0-pic.patch20
-rw-r--r--net-misc/nx/files/digest-nx-2.1.024
-rw-r--r--net-misc/nx/nx-2.1.0.ebuild139
-rw-r--r--net-misc/nxnode/Manifest28
-rw-r--r--net-misc/nxnode/files/digest-nxnode-2.1.06
-rw-r--r--net-misc/nxnode/files/nxnode-2.1.0-init4
-rw-r--r--net-misc/nxnode/files/nxwrapper7
-rw-r--r--net-misc/nxnode/nxnode-2.1.0.ebuild53
-rw-r--r--net-misc/nxserver-freeedition/Manifest20
-rw-r--r--net-misc/nxserver-freeedition/files/digest-nxserver-freeedition-2.1.06
-rw-r--r--net-misc/nxserver-freeedition/files/nxwrapper7
-rw-r--r--net-misc/nxserver-freeedition/nxserver-freeedition-2.1.0.ebuild21
-rw-r--r--net-misc/nxserver-freenx/Manifest20
-rw-r--r--net-misc/nxserver-freenx/files/digest-nxserver-freenx-0.6.03
-rw-r--r--net-misc/nxserver-freenx/files/nxserver-freenx-0.6.0-fullscreen.patch23
-rw-r--r--net-misc/nxserver-freenx/files/nxserver-freenx-0.6.0-nxloadconfig.patch53
-rw-r--r--net-misc/nxserver-freenx/files/nxserver-freenx-0.6.0-rdesktop.patch12
-rw-r--r--net-misc/nxserver-freenx/nxserver-freenx-0.6.0.ebuild115
21 files changed, 534 insertions, 80 deletions
diff --git a/net-misc/nx/Manifest b/net-misc/nx/Manifest
new file mode 100644
index 0000000..05b2ecd
--- /dev/null
+++ b/net-misc/nx/Manifest
@@ -0,0 +1,27 @@
+AUX 1.5.0/nx-x11-1.5.0-amd64.patch 508 RMD160 1f4a00d45e36e9647e68f98ccf978e015a672317 SHA1 bfd182ff9748247e62a8f3be5e17d042fdf03683 SHA256 1ed16d56ed1faee9d1225550050cb3e63a40bc236af595961e86eba0744016b7
+MD5 e105922ff9b5e036bd61b244fc52393e files/1.5.0/nx-x11-1.5.0-amd64.patch 508
+RMD160 1f4a00d45e36e9647e68f98ccf978e015a672317 files/1.5.0/nx-x11-1.5.0-amd64.patch 508
+SHA256 1ed16d56ed1faee9d1225550050cb3e63a40bc236af595961e86eba0744016b7 files/1.5.0/nx-x11-1.5.0-amd64.patch 508
+AUX 1.5.0/nx-x11-1.5.0-tmp-exec.patch 349 RMD160 083862e5563962764e9d78f50a37576bac9913cc SHA1 97402172c1039e4f86b977f27a4571a8a77d1c6b SHA256 bbaeeb4e04c04da96f37dfb7ab5e494094d61a390ef2ae24813a5f49b3c44971
+MD5 66ed4c7f2907fac164c9b54d29b39841 files/1.5.0/nx-x11-1.5.0-tmp-exec.patch 349
+RMD160 083862e5563962764e9d78f50a37576bac9913cc files/1.5.0/nx-x11-1.5.0-tmp-exec.patch 349
+SHA256 bbaeeb4e04c04da96f37dfb7ab5e494094d61a390ef2ae24813a5f49b3c44971 files/1.5.0/nx-x11-1.5.0-tmp-exec.patch 349
+AUX 1.5.0/nxcomp-1.5.0-pic.patch 522 RMD160 2016856cb86605ca7ccb6b2c17a1c096c8e80cea SHA1 f3febd574eb07c244a6fc91323631f99fad5fa34 SHA256 d4fb814d5ee3bd13c39e535b731caab0acb9e552cea471c602c8ff9c8e6d535e
+MD5 3bd5746a479e0ebddad94ba11fe3899b files/1.5.0/nxcomp-1.5.0-pic.patch 522
+RMD160 2016856cb86605ca7ccb6b2c17a1c096c8e80cea files/1.5.0/nxcomp-1.5.0-pic.patch 522
+SHA256 d4fb814d5ee3bd13c39e535b731caab0acb9e552cea471c602c8ff9c8e6d535e files/1.5.0/nxcomp-1.5.0-pic.patch 522
+DIST nx-X11-2.1.0-2.tar.gz 32497962 RMD160 6357204659cca8abdf679c70f39cd02390d377e7 SHA1 9b98d45d083e232b3d2f6139de88c82997998d49 SHA256 3487eabac737c7f65b67cf2d301e4142e1a406ac73d1fe8242a81802a7817b35
+DIST nxagent-2.1.0-17.tar.gz 944209 RMD160 df2d270b5d46c8768fed1da237f2100ddfc3242f SHA1 79215792e89275d809b38b1ceb3a20b7016aae37 SHA256 f4576f2d437586268dff33face2f550cce2d4c5d175022c0562c346e20b106e3
+DIST nxauth-2.1.0-1.tar.gz 23324 RMD160 c6ad7a568c91a2fcffb49366bf71eb8995f7acb4 SHA1 fbeeda1bbcc542fd27c7d1c7fab8d59d5c0e2523 SHA256 05cde299d298551a2f41efadbff2267b1c830b926c0df5bd272ec76af3c83f56
+DIST nxcomp-2.1.0-6.tar.gz 547901 RMD160 de1382073d60fda5570a6ce252cc5a5ae0a3f740 SHA1 fa817fac15aba27b24f17beefca3ae701b7c594b SHA256 c2cce82456e65e5dd75cef44cc1c06484b6cdd44b9fe84f9dc33ba51a57f4fb3
+DIST nxcompext-2.1.0-4.tar.gz 95995 RMD160 8c388a79f825351787d810797408c0ba693b3791 SHA1 8e42e4b632187a9c2a1048efd82661b225d97fe2 SHA256 3cd32b3358d5ed8deb57d0835fdf677b1a07e32b1a9f6f815000b4ce620db617
+DIST nxdesktop-2.1.0-8.tar.gz 526529 RMD160 fe3f8f0e0b38ad963570fb741bac98e092cc861e SHA1 f115217b27aec3751c1d0e04fbf18a77d1b076a8 SHA256 3d6710693ad10dea97c3b5e3d7975e225680cef857485c723aa781d3fa6a9306
+DIST nxproxy-2.1.0-2.tar.gz 75843 RMD160 6b0711d8f95b178402fca99b046e597d82fe2e02 SHA1 6c206c44e626ef29b2edcb99494b917792252526 SHA256 30db34375cf6bab3d65317ff0a5e533eb31d5c1c9a47922717478902c62c0e7b
+DIST nxviewer-2.1.0-11.tar.gz 239141 RMD160 0057a569c4e6b1969158d08a5a8e0a48995a7f8b SHA1 bb2626478b24aa69855f39da65c89a528d37c89e SHA256 55386c51a1e0c08c8598040dc6dfe4a1ebd7ff06280fa94371a050b78607fdb1
+EBUILD nx-2.1.0.ebuild 3380 RMD160 d0cafb0ddbbbfcf01ac99e606dbf22837f20656d SHA1 ba63e15b313fb3dbad5e81f146807fd4c4877b92 SHA256 3a37a24834df8f6615928f33bc122cd79e2e9dd7355357f8d6b959393de00d66
+MD5 fcc6ee0fdff5aa5f28b26f78c40016a3 nx-2.1.0.ebuild 3380
+RMD160 d0cafb0ddbbbfcf01ac99e606dbf22837f20656d nx-2.1.0.ebuild 3380
+SHA256 3a37a24834df8f6615928f33bc122cd79e2e9dd7355357f8d6b959393de00d66 nx-2.1.0.ebuild 3380
+MD5 b83c623c71cbc341fae644a89282b44d files/digest-nx-2.1.0 1985
+RMD160 34e4e75a659854855b102b21b972cb2bf337f453 files/digest-nx-2.1.0 1985
+SHA256 6691e7f8d5652e63454aa58001acd03af8b2d6dd5be4844341cc41d74fb0253e files/digest-nx-2.1.0 1985
diff --git a/net-misc/nx/files/1.5.0/nx-x11-1.5.0-amd64.patch b/net-misc/nx/files/1.5.0/nx-x11-1.5.0-amd64.patch
new file mode 100644
index 0000000..0c7279b
--- /dev/null
+++ b/net-misc/nx/files/1.5.0/nx-x11-1.5.0-amd64.patch
@@ -0,0 +1,15 @@
+diff -ru nx-X11-orig/lib/X11/XlcDL.c nx-X11/lib/X11/XlcDL.c
+--- nx-X11-orig/lib/X11/XlcDL.c 2006-10-04 16:51:54.000000000 -0600
++++ nx-X11/lib/X11/XlcDL.c 2006-10-04 16:52:55.000000000 -0600
+@@ -58,10 +58,8 @@
+ #ifdef _LP64
+ # if defined(__sparcv9)
+ # define _MACH64_NAME "sparcv9"
+-# elif defined(__ia64__)
+-# undef MACH64_NAME
+ # else
+-# error "Unknown architecture"
++# undef MACH64_NAME
+ # endif /* defined(__sparcv9) */
+ # ifdef _MACH64_NAME
+ # define _MACH64_NAME_LEN (sizeof (_MACH64_NAME) - 1)
diff --git a/net-misc/nx/files/1.5.0/nx-x11-1.5.0-tmp-exec.patch b/net-misc/nx/files/1.5.0/nx-x11-1.5.0-tmp-exec.patch
new file mode 100644
index 0000000..ece2214
--- /dev/null
+++ b/net-misc/nx/files/1.5.0/nx-x11-1.5.0-tmp-exec.patch
@@ -0,0 +1,11 @@
+--- nx-X11/config/imake/imake.c.orig 2006-11-05 00:10:49.000000000 +0000
++++ nx-X11/config/imake/imake.c 2006-11-05 00:11:49.000000000 +0000
+@@ -974,7 +974,7 @@
+ static void
+ get_libc_version(FILE *inFile)
+ {
+- char aout[] = "/tmp/imakeXXXXXX";
++ char aout[] = "./imakeXXXXXX";
+ FILE *fp;
+ const char *format = "%s -o %s -x c -";
+ char *cc;
diff --git a/net-misc/nx/files/1.5.0/nxcomp-1.5.0-pic.patch b/net-misc/nx/files/1.5.0/nxcomp-1.5.0-pic.patch
new file mode 100644
index 0000000..2ccaf97
--- /dev/null
+++ b/net-misc/nx/files/1.5.0/nxcomp-1.5.0-pic.patch
@@ -0,0 +1,20 @@
+--- nxcomp/Makefile.in.agriffis 2005-11-12 12:48:42.000000000 -0500
++++ nxcomp/Makefile.in 2005-12-15 12:24:46.000000000 -0500
+@@ -32,7 +32,7 @@
+
+ CXX = @CXX@
+ CXXFLAGS = @CXXFLAGS@ @X_CFLAGS@ @DEFS@ \
+- -Wall -Wpointer-arith
++ -Wall -Wpointer-arith -fPIC
+ CXXINCLUDES =
+ CXXDEFINES =
+
+@@ -42,7 +42,7 @@
+
+ CC = @CC@
+ CCFLAGS = @CFLAGS@ @X_CFLAGS@ @DEFS@ \
+- -Wall -Wpointer-arith
++ -Wall -Wpointer-arith -fPIC
+ CCINCLUDES =
+ CCDEFINES =
+
diff --git a/net-misc/nx/files/digest-nx-2.1.0 b/net-misc/nx/files/digest-nx-2.1.0
new file mode 100644
index 0000000..582e369
--- /dev/null
+++ b/net-misc/nx/files/digest-nx-2.1.0
@@ -0,0 +1,24 @@
+MD5 b82d5272adc23117596095fffcfb04a0 nx-X11-2.1.0-2.tar.gz 32497962
+RMD160 6357204659cca8abdf679c70f39cd02390d377e7 nx-X11-2.1.0-2.tar.gz 32497962
+SHA256 3487eabac737c7f65b67cf2d301e4142e1a406ac73d1fe8242a81802a7817b35 nx-X11-2.1.0-2.tar.gz 32497962
+MD5 8a4a22e763ea9ad0b2540f5cc2fdf41f nxagent-2.1.0-17.tar.gz 944209
+RMD160 df2d270b5d46c8768fed1da237f2100ddfc3242f nxagent-2.1.0-17.tar.gz 944209
+SHA256 f4576f2d437586268dff33face2f550cce2d4c5d175022c0562c346e20b106e3 nxagent-2.1.0-17.tar.gz 944209
+MD5 b42be99b165eacf85eca15a03abe4b42 nxauth-2.1.0-1.tar.gz 23324
+RMD160 c6ad7a568c91a2fcffb49366bf71eb8995f7acb4 nxauth-2.1.0-1.tar.gz 23324
+SHA256 05cde299d298551a2f41efadbff2267b1c830b926c0df5bd272ec76af3c83f56 nxauth-2.1.0-1.tar.gz 23324
+MD5 67096525beb63e9bffefa2abc716f128 nxcomp-2.1.0-6.tar.gz 547901
+RMD160 de1382073d60fda5570a6ce252cc5a5ae0a3f740 nxcomp-2.1.0-6.tar.gz 547901
+SHA256 c2cce82456e65e5dd75cef44cc1c06484b6cdd44b9fe84f9dc33ba51a57f4fb3 nxcomp-2.1.0-6.tar.gz 547901
+MD5 6500046b39d999960788a7b791a84941 nxcompext-2.1.0-4.tar.gz 95995
+RMD160 8c388a79f825351787d810797408c0ba693b3791 nxcompext-2.1.0-4.tar.gz 95995
+SHA256 3cd32b3358d5ed8deb57d0835fdf677b1a07e32b1a9f6f815000b4ce620db617 nxcompext-2.1.0-4.tar.gz 95995
+MD5 c001a8a5ed07f4ad7cd9d3037bbee591 nxdesktop-2.1.0-8.tar.gz 526529
+RMD160 fe3f8f0e0b38ad963570fb741bac98e092cc861e nxdesktop-2.1.0-8.tar.gz 526529
+SHA256 3d6710693ad10dea97c3b5e3d7975e225680cef857485c723aa781d3fa6a9306 nxdesktop-2.1.0-8.tar.gz 526529
+MD5 ea29b44015da4d2553c54e18be3e8580 nxproxy-2.1.0-2.tar.gz 75843
+RMD160 6b0711d8f95b178402fca99b046e597d82fe2e02 nxproxy-2.1.0-2.tar.gz 75843
+SHA256 30db34375cf6bab3d65317ff0a5e533eb31d5c1c9a47922717478902c62c0e7b nxproxy-2.1.0-2.tar.gz 75843
+MD5 cc2b95098db87de5d226143ce5c07e5f nxviewer-2.1.0-11.tar.gz 239141
+RMD160 0057a569c4e6b1969158d08a5a8e0a48995a7f8b nxviewer-2.1.0-11.tar.gz 239141
+SHA256 55386c51a1e0c08c8598040dc6dfe4a1ebd7ff06280fa94371a050b78607fdb1 nxviewer-2.1.0-11.tar.gz 239141
diff --git a/net-misc/nx/nx-2.1.0.ebuild b/net-misc/nx/nx-2.1.0.ebuild
new file mode 100644
index 0000000..513a563
--- /dev/null
+++ b/net-misc/nx/nx-2.1.0.ebuild
@@ -0,0 +1,139 @@
+# Copyright 1999-2006 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit eutils multilib
+
+DESCRIPTION="NX compression technology core libraries"
+HOMEPAGE="http://www.nomachine.com/developers.php"
+
+URI_BASE="http://web04.nomachine.com/download/${PV}/sources"
+SRC_NX_X11="nx-X11-$PV-2.tar.gz"
+SRC_NXAGENT="nxagent-$PV-17.tar.gz"
+SRC_NXAUTH="nxauth-$PV-1.tar.gz"
+SRC_NXCOMP="nxcomp-$PV-6.tar.gz"
+SRC_NXCOMPEXT="nxcompext-$PV-4.tar.gz"
+SRC_NXDESKTOP="nxdesktop-$PV-8.tar.gz"
+SRC_NXVIEWER="nxviewer-$PV-11.tar.gz"
+SRC_NXPROXY="nxproxy-$PV-2.tar.gz"
+
+SRC_URI="$URI_BASE/$SRC_NX_X11 $URI_BASE/$SRC_NXAGENT $URI_BASE/$SRC_NXPROXY
+ $URI_BASE/$SRC_NXAUTH $URI_BASE/$SRC_NXCOMPEXT $URI_BASE/$SRC_NXCOMP
+ rdesktop? ( $URI_BASE/$SRC_NXDESKTOP )
+ vnc? ( $URI_BASE/$SRC_NXVIEWER )"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="rdesktop vnc"
+
+RDEPEND="x86? ( || ( ( x11-libs/libXau
+ x11-libs/libXdmcp
+ x11-libs/libXpm
+ )
+ virtual/x11
+ )
+ >=media-libs/jpeg-6b-r4
+ >=media-libs/libpng-1.2.8
+ >=sys-libs/zlib-1.2.3 )
+ amd64? (app-emulation/emul-linux-x86-xlibs)"
+
+DEPEND="${RDEPEND}
+ || ( ( x11-proto/xproto
+ x11-proto/xf86vidmodeproto
+ x11-proto/glproto
+ x11-proto/videoproto
+ x11-proto/xextproto
+ x11-proto/fontsproto
+
+ x11-misc/gccmakedep
+ x11-misc/imake
+
+ app-text/rman
+ )
+ virtual/x11
+ )
+ app-text/rman
+ !net-misc/nx-x11
+ !net-misc/nx-x11-bin
+ !net-misc/nxcomp
+ !net-misc/nxproxy
+ !net-misc/nxssh
+ "
+S=${WORKDIR}/${PN}-X11
+
+src_unpack() {
+ unpack ${A}
+
+ cd ${S}
+ epatch ${FILESDIR}/1.5.0/nx-x11-1.5.0-tmp-exec.patch
+ epatch ${FILESDIR}/1.5.0/nx-x11-1.5.0-amd64.patch
+
+ cd ${WORKDIR}/nxcomp
+ epatch ${FILESDIR}/1.5.0/nxcomp-1.5.0-pic.patch
+}
+
+src_compile() {
+ # nx-X11 will only compile in 32-bit
+ use amd64 && multilib_toolchain_setup x86
+
+ cd ${WORKDIR}/nxcomp || die
+ econf || die
+ emake || die
+
+ cd ${WORKDIR}/nxproxy || die
+ econf || die
+ emake || die
+
+ cd ${WORKDIR}/nx-X11 || die
+ emake World || die
+
+ cd ${WORKDIR}/nxcompext || die
+ econf || die
+ emake || die
+
+ if use vnc ; then
+ cd ${WORKDIR}/nxviewer || die
+ xmkmf -a || die
+ emake World || die
+ fi
+
+ if use rdesktop ; then
+ cd ${WORKDIR}/nxdesktop || die
+ econf || die
+ emake || die
+ fi
+}
+
+src_install() {
+ for x in nxagent nxauth nxproxy; do
+ make_wrapper $x ./$x /usr/lib/NX/bin /usr/lib/NX/$(get_libdir) ||die
+ done
+ if use vnc ; then
+ make_wrapper nxviewer ./nxviewer /usr/lib/NX/bin /usr/lib/NX/$(get_libdir) ||die
+ make_wrapper nxpasswd ./nxpasswd /usr/lib/NX/bin /usr/lib/NX/$(get_libdir) ||die
+ fi
+ if use rdesktop ; then
+ make_wrapper nxdesktop ./nxdesktop /usr/lib/NX/bin /usr/lib/NX/$(get_libdir) ||die
+ fi
+
+ into /usr/lib/NX
+ dobin ${WORKDIR}/nx-X11/programs/Xserver/nxagent || die
+ dobin ${WORKDIR}/nx-X11/programs/nxauth/nxauth || die
+ dobin ${WORKDIR}/nxproxy/nxproxy || die
+
+ if use vnc ; then
+ dobin ${WORKDIR}/nxviewer/nxviewer/nxviewer || die
+ dobin ${WORKDIR}/nxviewer/nxpasswd/nxpasswd || die
+ fi
+
+ if use rdesktop ; then
+ dobin ${WORKDIR}/nxdesktop/nxdesktop || die
+ fi
+
+ dolib.so ${WORKDIR}/nx-X11/lib/X11/libX11.so* || die
+ dolib.so ${WORKDIR}/nx-X11/lib/Xext/libXext.so* || die
+ dolib.so ${WORKDIR}/nx-X11/lib/Xrender/libXrender.so* || die
+ dolib.so ${WORKDIR}/nxcomp/libXcomp.so* || die
+ dolib.so ${WORKDIR}/nxcompext/libXcompext.so* || die
+}
diff --git a/net-misc/nxnode/Manifest b/net-misc/nxnode/Manifest
index b9c7dd8..46e0a58 100644
--- a/net-misc/nxnode/Manifest
+++ b/net-misc/nxnode/Manifest
@@ -1,20 +1,16 @@
-AUX nxnode-2.1.0-init 1385 RMD160 5060345f76dbf74c062acacb101fd713baed2b27 SHA1 4d93f9acb5a1358f765351f4390da1023f7ed7a8 SHA256 0e82d85c616ceb70d5964d524daed3d109303dee6aeaa0e4405d39bc8b0f3c91
-MD5 09c0a2d6eb5060c30f3809960880ec5b files/nxnode-2.1.0-init 1385
-RMD160 5060345f76dbf74c062acacb101fd713baed2b27 files/nxnode-2.1.0-init 1385
-SHA256 0e82d85c616ceb70d5964d524daed3d109303dee6aeaa0e4405d39bc8b0f3c91 files/nxnode-2.1.0-init 1385
+AUX nxnode-2.1.0-init 1385 RMD160 80c45e04b03674569df8d458e9708005839714f3 SHA1 862d648374461973b522f08201c4b076b0946033 SHA256 0b3489fc45b833908cafb206cf68ed86333b903a8134ef189a5df49cdcd07859
+MD5 7f43d4cfa2725a326357b7dfd20f7192 files/nxnode-2.1.0-init 1385
+RMD160 80c45e04b03674569df8d458e9708005839714f3 files/nxnode-2.1.0-init 1385
+SHA256 0b3489fc45b833908cafb206cf68ed86333b903a8134ef189a5df49cdcd07859 files/nxnode-2.1.0-init 1385
AUX nxnode-2.1.0-setup.patch 1357 RMD160 f5af6e093ecdb45551b95b1d047065f5f3aa9b54 SHA1 7d3e5a0d51c5a49addea2b1dd75276497e1b5164 SHA256 ee95f966f0598e966d2cef3d8fff0888ec7880afded8d275e2f415939b1508c3
MD5 82a440e1c0f91809ad5cca32066b4fd0 files/nxnode-2.1.0-setup.patch 1357
RMD160 f5af6e093ecdb45551b95b1d047065f5f3aa9b54 files/nxnode-2.1.0-setup.patch 1357
SHA256 ee95f966f0598e966d2cef3d8fff0888ec7880afded8d275e2f415939b1508c3 files/nxnode-2.1.0-setup.patch 1357
-AUX nxwrapper 128 RMD160 ee3e96fb8e3def2b211defac5ef6731f309f7718 SHA1 af6c7d133dd6ca84b8e6b87a9a9da0c289236c03 SHA256 a0e4bfd47f857dd85b60b0802ba7daeb798cad3e6310aaf3582df9b233137a5a
-MD5 722d473cbcec099515ea389f2327acde files/nxwrapper 128
-RMD160 ee3e96fb8e3def2b211defac5ef6731f309f7718 files/nxwrapper 128
-SHA256 a0e4bfd47f857dd85b60b0802ba7daeb798cad3e6310aaf3582df9b233137a5a files/nxwrapper 128
-DIST nxnode-2.1.0-7.i386.tar.gz 5088878 RMD160 db7c6907bc8001bf677c640412ed84ec982e158a SHA1 144cedcf028ac6ecb77271b34deaf69b04009616 SHA256 76c2c9facfa07b95ac8afcf7742acb47e67a3b32b8e9e82af8d742c4e99be212
-EBUILD nxnode-2.1.0.ebuild 2161 RMD160 3425627a71ecc9262c7bc81879f289d1d00e809a SHA1 c80c116014a8407875a88d3f38fda6cf1d3417f0 SHA256 71844d7ba21f860447aa85907eb4abc9c008e87cf2ade8cbfb4b85def5eae9be
-MD5 7d87b3ec0afe8550c053d7af69a237bd nxnode-2.1.0.ebuild 2161
-RMD160 3425627a71ecc9262c7bc81879f289d1d00e809a nxnode-2.1.0.ebuild 2161
-SHA256 71844d7ba21f860447aa85907eb4abc9c008e87cf2ade8cbfb4b85def5eae9be nxnode-2.1.0.ebuild 2161
-MD5 39bb9af49f1195fb59d1e46f223f8489 files/digest-nxnode-2.1.0 262
-RMD160 0dc4128eb511b5f808f1d0f5457936e02ba3a0d1 files/digest-nxnode-2.1.0 262
-SHA256 e95f1206f32df15ef6e85ecccaefb2e6232a6b8408cdd54ca847caad3779d5c5 files/digest-nxnode-2.1.0 262
+DIST nxnode-2.1.0-15.i386.tar.gz 5156679 RMD160 775ce55e6a7c17db5a22e50da30e0067522c227a SHA1 95d5867c22336ac05281ae2ad5db0c1845c3baef SHA256 eadcb79a5eba169b16fd83144f89a6167bd634fbf8b7860270864d88a493b76c
+EBUILD nxnode-2.1.0.ebuild 2582 RMD160 304432b5930386fce2ecad9938a6dd8d013f1a52 SHA1 157d528d878143aa024daa3cb37f9eeb9347957e SHA256 67dd5933e5c0c0eda6c00cc62d2ee80b5c25edf830d96afef5dfbc9fbff58a9e
+MD5 3cb016d89d07d6ce4e9709251aa146c1 nxnode-2.1.0.ebuild 2582
+RMD160 304432b5930386fce2ecad9938a6dd8d013f1a52 nxnode-2.1.0.ebuild 2582
+SHA256 67dd5933e5c0c0eda6c00cc62d2ee80b5c25edf830d96afef5dfbc9fbff58a9e nxnode-2.1.0.ebuild 2582
+MD5 d8cd09718b9bd0c3a7f4a943c5be33c3 files/digest-nxnode-2.1.0 265
+RMD160 b101a7c82855f101751e3285e5965cee005a982d files/digest-nxnode-2.1.0 265
+SHA256 e43eaae7b4538a03bf8e44deea5cd1a0ebe830a1ee3714f691bb7d0c06acd08e files/digest-nxnode-2.1.0 265
diff --git a/net-misc/nxnode/files/digest-nxnode-2.1.0 b/net-misc/nxnode/files/digest-nxnode-2.1.0
index ec7bc0c..c077695 100644
--- a/net-misc/nxnode/files/digest-nxnode-2.1.0
+++ b/net-misc/nxnode/files/digest-nxnode-2.1.0
@@ -1,3 +1,3 @@
-MD5 de5bf098181fefaea42a0272cff3c9c1 nxnode-2.1.0-7.i386.tar.gz 5088878
-RMD160 db7c6907bc8001bf677c640412ed84ec982e158a nxnode-2.1.0-7.i386.tar.gz 5088878
-SHA256 76c2c9facfa07b95ac8afcf7742acb47e67a3b32b8e9e82af8d742c4e99be212 nxnode-2.1.0-7.i386.tar.gz 5088878
+MD5 31a51ef20519ea6d52874da2edeb957f nxnode-2.1.0-15.i386.tar.gz 5156679
+RMD160 775ce55e6a7c17db5a22e50da30e0067522c227a nxnode-2.1.0-15.i386.tar.gz 5156679
+SHA256 eadcb79a5eba169b16fd83144f89a6167bd634fbf8b7860270864d88a493b76c nxnode-2.1.0-15.i386.tar.gz 5156679
diff --git a/net-misc/nxnode/files/nxnode-2.1.0-init b/net-misc/nxnode/files/nxnode-2.1.0-init
index 16df085..e3b1f8f 100644
--- a/net-misc/nxnode/files/nxnode-2.1.0-init
+++ b/net-misc/nxnode/files/nxnode-2.1.0-init
@@ -31,12 +31,12 @@ is_enabled()
fi
tmp=`/usr/bin/awk -F'"' '/^NODE_SENSOR_HOST/ {print $2}' $NX_NODE_CFG`
- if [[ -z $tmp ]] ; then
+ if [[ -n $tmp ]] ; then
NX_SENSOR_HOST="$tmp"
fi
tmp=`/usr/bin/awk -F'"' '/^NODE_SENSOR_PORT/ {print $2}' $NX_NODE_CFG`
- if [[ -z $tmp ]] ; then
+ if [[ -n $tmp ]] ; then
NX_SENSOR_PORT="$tmp"
fi
diff --git a/net-misc/nxnode/files/nxwrapper b/net-misc/nxnode/files/nxwrapper
deleted file mode 100644
index 13e3284..0000000
--- a/net-misc/nxnode/files/nxwrapper
+++ /dev/null
@@ -1,7 +0,0 @@
-#!/bin/sh
-
-NXCOMMAND=$(basename $0)
-
-export LD_LIBRARY_PATH=/usr/NX/lib:$LD_LIBRARY_PATH
-exec /usr/NX/bin/$NXCOMMAND ${1+"$@"}
-
diff --git a/net-misc/nxnode/nxnode-2.1.0.ebuild b/net-misc/nxnode/nxnode-2.1.0.ebuild
index 2d141ce..a48b22a 100644
--- a/net-misc/nxnode/nxnode-2.1.0.ebuild
+++ b/net-misc/nxnode/nxnode-2.1.0.ebuild
@@ -6,11 +6,11 @@ inherit eutils
DESCRIPTION="nxnode provides the components that are shared between the different editions of NoMachine's NX Server"
HOMEPAGE="http://www.nomachine.com/"
-SRC_URI="http://64.34.161.181/download/2.1.0/Linux/nxnode-2.1.0-7.i386.tar.gz"
+SRC_URI="http://64.34.161.181/download/2.1.0/Linux/nxnode-2.1.0-15.i386.tar.gz"
LICENSE=""
SLOT="0"
-KEYWORDS="~x86"
+KEYWORDS="~amd64 ~x86"
IUSE=""
DEPEND="
@@ -18,29 +18,22 @@ DEPEND="
!net-misc/nx-x11-bin
!net-misc/nxcomp
!net-misc/nxproxy
- !<=net-misc/nxserver-personal-2.0.99*
- !<=net-misc/nxserver-business-2.0.99*
- !<=net-misc/nxserver-enterprise-2.0.99*
+ !<=net-misc/nxserver-personal-2.0.99
+ !<=net-misc/nxserver-business-2.0.99
+ !<=net-misc/nxserver-enterprise-2.0.99
!net-misc/nxserver-freenx
"
RDEPEND="
=net-misc/nxclient-2*
- dev-libs/openssl
- media-libs/jpeg
- media-libs/libpng
- sys-libs/zlib
- x11-libs/libICE
- x11-libs/libXmu
- x11-libs/libX11
- x11-libs/libXdmcp
- x11-libs/libSM
- x11-libs/libXt
- x11-libs/libXrender
- x11-libs/libXau
- x11-libs/libXaw
- x11-libs/libXpm
- x11-libs/libXext
+ x86? ( =dev-libs/glib-1.2*
+ x11-libs/libICE
+ x11-libs/libXmu
+ x11-libs/libSM
+ x11-libs/libXt
+ x11-libs/libXaw
+ x11-libs/libXpm )
+ amd64? ( app-emulation/emul-linux-x86-xlibs )
"
S=${WORKDIR}/NX
@@ -67,7 +60,8 @@ src_install()
dodir /usr/NX/etc
cp etc/node-debian.cfg.sample ${D}/usr/NX/etc/node-gentoo.cfg.sample || die
sed -e 's|COMMAND_FUSER = .*|COMMAND_FUSER = "/usr/bin/fuser"|;' -i ${D}/usr/NX/etc/node-gentoo.cfg.sample || die
-
+ cp etc/node.lic.sample ${D}/usr/NX/etc/node.lic.sample || die
+
dodir /usr/NX/lib
cp -R lib ${D}/usr/NX || die
@@ -87,8 +81,21 @@ src_install()
pkg_postinst()
{
- einfo "Running NoMachine's setup script"
- ${ROOT}/usr/NX/scripts/setup/nxnode --install
+ # Only install license file if none is found
+ if [ ! -f /usr/NX/etc/node.lic ]; then
+ cp ${ROOT}/usr/NX/etc/node.lic.sample ${ROOT}/usr/NX/etc/node.lic || die
+ chmod 0400 ${ROOT}/usr/NX/etc/node.lic
+ chown nx:root ${ROOT}/usr/NX/etc/node.lic
+ fi
+
+ # only run install on the first time
+ if [ -f /usr/NX/etc/node.cfg ]; then
+ einfo "Running NoMachine's update script"
+ ${ROOT}/usr/NX/scripts/setup/nxnode --update
+ else
+ einfo "Running NoMachine's setup script"
+ ${ROOT}/usr/NX/scripts/setup/nxnode --install
+ fi
elog "If you want server statistics, please add nxsensor to your default runlevel"
elog
diff --git a/net-misc/nxserver-freeedition/Manifest b/net-misc/nxserver-freeedition/Manifest
index aad500a..712db74 100644
--- a/net-misc/nxserver-freeedition/Manifest
+++ b/net-misc/nxserver-freeedition/Manifest
@@ -6,15 +6,11 @@ AUX nxserver-2.1.0-setup.patch 1927 RMD160 e0ee56dedff3dac4265d6ca920b7534f6c097
MD5 acbc4350a1f1fbee7d4e1aed7755e197 files/nxserver-2.1.0-setup.patch 1927
RMD160 e0ee56dedff3dac4265d6ca920b7534f6c097ce3 files/nxserver-2.1.0-setup.patch 1927
SHA256 2c9c934897ea31cfe6a860ad86fb9bf8e0c4b0e3dbff6b1f5472d19755030d7d files/nxserver-2.1.0-setup.patch 1927
-AUX nxwrapper 128 RMD160 ee3e96fb8e3def2b211defac5ef6731f309f7718 SHA1 af6c7d133dd6ca84b8e6b87a9a9da0c289236c03 SHA256 a0e4bfd47f857dd85b60b0802ba7daeb798cad3e6310aaf3582df9b233137a5a
-MD5 722d473cbcec099515ea389f2327acde files/nxwrapper 128
-RMD160 ee3e96fb8e3def2b211defac5ef6731f309f7718 files/nxwrapper 128
-SHA256 a0e4bfd47f857dd85b60b0802ba7daeb798cad3e6310aaf3582df9b233137a5a files/nxwrapper 128
-DIST nxserver-2.1.0-9.i386.tar.gz 5136058 RMD160 4991538594867bd5f105396fef4cbf6a882cc299 SHA1 73c1ad3b725076934fd69c2c8b456c4ab4398a6a SHA256 68a260694bc68018e03b4999d5645947a997c83ea2c7dab5ef0203b34f30d541
-EBUILD nxserver-freeedition-2.1.0.ebuild 1581 RMD160 178042c9c714a87da0d48af84de685fc28f62a20 SHA1 eddfa4197341a5152e533c58e53c7530aa8026d0 SHA256 28ae925840e40e415f6c91d711bc752505572320c52c43979bcce44ed2338721
-MD5 600c01be0db0799d53733ab8e5927e52 nxserver-freeedition-2.1.0.ebuild 1581
-RMD160 178042c9c714a87da0d48af84de685fc28f62a20 nxserver-freeedition-2.1.0.ebuild 1581
-SHA256 28ae925840e40e415f6c91d711bc752505572320c52c43979bcce44ed2338721 nxserver-freeedition-2.1.0.ebuild 1581
-MD5 35fe2b0e4bfa5c1818c38fbfe24a1825 files/digest-nxserver-freeedition-2.1.0 268
-RMD160 4cb8253d3ca8cf0025315003fa0abd101cc933f1 files/digest-nxserver-freeedition-2.1.0 268
-SHA256 6ed2232c061547320861526200049899fb90447aa73df14d0d8e7b479032d781 files/digest-nxserver-freeedition-2.1.0 268
+DIST nxserver-2.1.0-18.i386.tar.gz 5121771 RMD160 0e11165c6e888276e0fc17c6987bbe412f0664bd SHA1 ef3d7761caa906688394cd9b81f624ef009b1b24 SHA256 c6c23ccebdc4746be62448110e136a42b570aebb2d97dae2bcd548305aef90bb
+EBUILD nxserver-freeedition-2.1.0.ebuild 1906 RMD160 526ef6dd84336e8a45186276983ec4aaa9397943 SHA1 239c98842b33d2f6f0ccbc2537383916bb8e0ca5 SHA256 75d8acb7091de441201f02e77a6eb3d1d05e5671ca2699b2fd5debe07dc225e1
+MD5 a6a3644bff036e741330b9c6394e05c8 nxserver-freeedition-2.1.0.ebuild 1906
+RMD160 526ef6dd84336e8a45186276983ec4aaa9397943 nxserver-freeedition-2.1.0.ebuild 1906
+SHA256 75d8acb7091de441201f02e77a6eb3d1d05e5671ca2699b2fd5debe07dc225e1 nxserver-freeedition-2.1.0.ebuild 1906
+MD5 b4d7fbe4c8422570000376a91c37c856 files/digest-nxserver-freeedition-2.1.0 271
+RMD160 f2d854466da37098288228ecc049317c73bc85e9 files/digest-nxserver-freeedition-2.1.0 271
+SHA256 7bba96820f219e34f8566206ecfa8e3cae6be92b706bd218f729264d55086961 files/digest-nxserver-freeedition-2.1.0 271
diff --git a/net-misc/nxserver-freeedition/files/digest-nxserver-freeedition-2.1.0 b/net-misc/nxserver-freeedition/files/digest-nxserver-freeedition-2.1.0
index f1abdfb..108dee5 100644
--- a/net-misc/nxserver-freeedition/files/digest-nxserver-freeedition-2.1.0
+++ b/net-misc/nxserver-freeedition/files/digest-nxserver-freeedition-2.1.0
@@ -1,3 +1,3 @@
-MD5 0ad822a1e35258d63326072df8000205 nxserver-2.1.0-9.i386.tar.gz 5136058
-RMD160 4991538594867bd5f105396fef4cbf6a882cc299 nxserver-2.1.0-9.i386.tar.gz 5136058
-SHA256 68a260694bc68018e03b4999d5645947a997c83ea2c7dab5ef0203b34f30d541 nxserver-2.1.0-9.i386.tar.gz 5136058
+MD5 b75c929675b407b4e7a3e2990c6d6a61 nxserver-2.1.0-18.i386.tar.gz 5121771
+RMD160 0e11165c6e888276e0fc17c6987bbe412f0664bd nxserver-2.1.0-18.i386.tar.gz 5121771
+SHA256 c6c23ccebdc4746be62448110e136a42b570aebb2d97dae2bcd548305aef90bb nxserver-2.1.0-18.i386.tar.gz 5121771
diff --git a/net-misc/nxserver-freeedition/files/nxwrapper b/net-misc/nxserver-freeedition/files/nxwrapper
deleted file mode 100644
index 13e3284..0000000
--- a/net-misc/nxserver-freeedition/files/nxwrapper
+++ /dev/null
@@ -1,7 +0,0 @@
-#!/bin/sh
-
-NXCOMMAND=$(basename $0)
-
-export LD_LIBRARY_PATH=/usr/NX/lib:$LD_LIBRARY_PATH
-exec /usr/NX/bin/$NXCOMMAND ${1+"$@"}
-
diff --git a/net-misc/nxserver-freeedition/nxserver-freeedition-2.1.0.ebuild b/net-misc/nxserver-freeedition/nxserver-freeedition-2.1.0.ebuild
index 24f52c3..3c99693 100644
--- a/net-misc/nxserver-freeedition/nxserver-freeedition-2.1.0.ebuild
+++ b/net-misc/nxserver-freeedition/nxserver-freeedition-2.1.0.ebuild
@@ -6,11 +6,11 @@ inherit eutils
DESCRIPTION=""
HOMEPAGE="http://www.nomachine.com/"
-SRC_URI="http://64.34.161.181/download/2.1.0/Linux/FE/nxserver-2.1.0-9.i386.tar.gz"
+SRC_URI="http://64.34.161.181/download/2.1.0/Linux/FE/nxserver-2.1.0-18.i386.tar.gz"
LICENSE=""
SLOT="0"
-KEYWORDS="~x86"
+KEYWORDS="~amd64 ~x86"
IUSE=""
DEPEND="
@@ -51,9 +51,9 @@ src_install()
doins etc/passwords.db.sample || die
doins etc/profiles.db.sample || die
doins etc/users.db.sample || die
+ doins etc/server.lic.sample || die
newins etc/server-debian.cfg.sample server-gentoo.cfg.sample || die
- newins etc/server.lic.sample server.lic || die
cp -R etc/keys ${D}/usr/NX/etc || die
@@ -69,10 +69,17 @@ src_install()
pkg_postinst ()
{
- usermod -d /usr/NX/home/nx nx || die
-
- einfo "Running NoMachine's setup script"
- ${ROOT}/usr/NX/scripts/setup/nxserver --install
+ usermod -s /usr/NX/bin/nxserver nx || die "Unable to set login shell of nx user!!"
+ usermod -d /usr/NX/home/nx nx || die "Unable to set home directory of nx user!!"
+
+ # only run install when no configuration file is found
+ if [ -f /usr/NX/etc/server.cfg ]; then
+ einfo "Running NoMachine's update script"
+ ${ROOT}/usr/NX/scripts/setup/nxserver --update
+ else
+ einfo "Running NoMachine's setup script"
+ ${ROOT}/usr/NX/scripts/setup/nxserver --install
+ fi
elog "Remember to add nxserver to your default runlevel"
}
diff --git a/net-misc/nxserver-freenx/Manifest b/net-misc/nxserver-freenx/Manifest
new file mode 100644
index 0000000..b385303
--- /dev/null
+++ b/net-misc/nxserver-freenx/Manifest
@@ -0,0 +1,20 @@
+AUX nxserver-freenx-0.6.0-fullscreen.patch 752 RMD160 206ac906a4bbac650f6408f6c74d67fcc73a7cec SHA1 1608700493319bf6d8a019fb8440d82c087862ed SHA256 7247807b1e7775f6d2e072dc95634cd622a68b54b7a3de4a488ffdf8fc5c76a6
+MD5 079512120f28b48334604fb710130f47 files/nxserver-freenx-0.6.0-fullscreen.patch 752
+RMD160 206ac906a4bbac650f6408f6c74d67fcc73a7cec files/nxserver-freenx-0.6.0-fullscreen.patch 752
+SHA256 7247807b1e7775f6d2e072dc95634cd622a68b54b7a3de4a488ffdf8fc5c76a6 files/nxserver-freenx-0.6.0-fullscreen.patch 752
+AUX nxserver-freenx-0.6.0-nxloadconfig.patch 2823 RMD160 e3f4a7f32e3962690ba2704c612220f8dc99cb44 SHA1 58ea968770e729a029e05ce6934eb16339d0955c SHA256 660f3bf731114f9ea9cf0129649d95a3b1ac0dd219541ddf6866ed2ede725179
+MD5 8f0661a55bfdfef0c29c4b9df82e9857 files/nxserver-freenx-0.6.0-nxloadconfig.patch 2823
+RMD160 e3f4a7f32e3962690ba2704c612220f8dc99cb44 files/nxserver-freenx-0.6.0-nxloadconfig.patch 2823
+SHA256 660f3bf731114f9ea9cf0129649d95a3b1ac0dd219541ddf6866ed2ede725179 files/nxserver-freenx-0.6.0-nxloadconfig.patch 2823
+AUX nxserver-freenx-0.6.0-rdesktop.patch 321 RMD160 27b3ea1ac16fe20f0a516151ca057c5ad965d48a SHA1 a939667db26363cb68bdbf63e71106a670e0530d SHA256 b6cf0b897fbbcfa535c09ba87221b8930276970202dadf662f134bb0dc01acc6
+MD5 103110225d1c3c695cf6619f4c00c294 files/nxserver-freenx-0.6.0-rdesktop.patch 321
+RMD160 27b3ea1ac16fe20f0a516151ca057c5ad965d48a files/nxserver-freenx-0.6.0-rdesktop.patch 321
+SHA256 b6cf0b897fbbcfa535c09ba87221b8930276970202dadf662f134bb0dc01acc6 files/nxserver-freenx-0.6.0-rdesktop.patch 321
+DIST freenx-0.6.0.tar.gz 110758 RMD160 6000d5fed4d11dbb4c750b43c81626991460ccbb SHA1 c43ce0462fa6c7fe84d5c7db8e5c14dc8ab2feed SHA256 928a4be2ecdfb560abc93737d049fa5b2459e64c431d4aa43e46c6c4df52b3ca
+EBUILD nxserver-freenx-0.6.0.ebuild 2950 RMD160 46b8b10cdf558305138bc7cf12bc9bde9ee60d8d SHA1 79e1b57a55447a553df0ab502f214847d1af2d1d SHA256 204ad6e3acf0a023104bbe5a0051d228e8b4598cea76f13ff1a72fc8cb056bec
+MD5 cb0b9b2b525f9cc2d16bb35f2697e740 nxserver-freenx-0.6.0.ebuild 2950
+RMD160 46b8b10cdf558305138bc7cf12bc9bde9ee60d8d nxserver-freenx-0.6.0.ebuild 2950
+SHA256 204ad6e3acf0a023104bbe5a0051d228e8b4598cea76f13ff1a72fc8cb056bec nxserver-freenx-0.6.0.ebuild 2950
+MD5 4ea9feb54f34954f8d43c80f44a2cd9a files/digest-nxserver-freenx-0.6.0 238
+RMD160 4d8159168dc51338e9ab715840a060628a0234b2 files/digest-nxserver-freenx-0.6.0 238
+SHA256 1d10b1f32814e055aa8289983618c869f3b5a7cc1718c5b943fe32e2e8bfd509 files/digest-nxserver-freenx-0.6.0 238
diff --git a/net-misc/nxserver-freenx/files/digest-nxserver-freenx-0.6.0 b/net-misc/nxserver-freenx/files/digest-nxserver-freenx-0.6.0
new file mode 100644
index 0000000..2d1c7bb
--- /dev/null
+++ b/net-misc/nxserver-freenx/files/digest-nxserver-freenx-0.6.0
@@ -0,0 +1,3 @@
+MD5 504aaa2c3c93c36eefab74e2b8a6506e freenx-0.6.0.tar.gz 110758
+RMD160 6000d5fed4d11dbb4c750b43c81626991460ccbb freenx-0.6.0.tar.gz 110758
+SHA256 928a4be2ecdfb560abc93737d049fa5b2459e64c431d4aa43e46c6c4df52b3ca freenx-0.6.0.tar.gz 110758
diff --git a/net-misc/nxserver-freenx/files/nxserver-freenx-0.6.0-fullscreen.patch b/net-misc/nxserver-freenx/files/nxserver-freenx-0.6.0-fullscreen.patch
new file mode 100644
index 0000000..a8bdc45
--- /dev/null
+++ b/net-misc/nxserver-freenx/files/nxserver-freenx-0.6.0-fullscreen.patch
@@ -0,0 +1,23 @@
+--- freenx-0.6.0/nxnode 2006-10-05 21:24:20.000000000 +0200
++++ freenx-0.6.0/nxnode 2006-10-05 21:21:11.000000000 +0200
+@@ -629,6 +629,10 @@
+ imagecompressionmethod=$(getparam imagecompressionmethod)
+ imagecompressionlevel=$(getparam imagecompressionlevel)
+ geometry=$(getparam geometry)
++
++ # fullscreen variable added to fix fullscreen on client login
++ fullscreen=$(getparam fullscreen)
++
+ keyboard=$(getparam keyboard)
+ kbtype=$(getparam kbtype)
+ media=$(getparam media)
+@@ -664,7 +668,8 @@
+ status=$(getparam status)
+ host=$(getparam host)
+
+- fullscreen=""
++# commented out to fix fullscreen on client login
++# fullscreen=""
+ [ "$geometry" = "fullscreen" ] && fullscreen="1"
+
+ [ "$EXPORT_USERIP" = "1" ] && export NXUSERIP="$userip"
diff --git a/net-misc/nxserver-freenx/files/nxserver-freenx-0.6.0-nxloadconfig.patch b/net-misc/nxserver-freenx/files/nxserver-freenx-0.6.0-nxloadconfig.patch
new file mode 100644
index 0000000..d0deb20
--- /dev/null
+++ b/net-misc/nxserver-freenx/files/nxserver-freenx-0.6.0-nxloadconfig.patch
@@ -0,0 +1,53 @@
+--- nxloadconfig.orig 2007-01-23 04:22:50.000000000 +0100
++++ nxloadconfig 2007-01-29 17:29:38.000000000 +0100
+@@ -58,7 +58,8 @@
+ # Where can different nx components be found
+ NX_DIR=/usr
+ PATH_BIN=$NX_DIR/bin # if you change that, be sure to also change the public keys
+-PATH_LIB=$NX_DIR/lib
++REAL_PATH_BIN=$NX_DIR/lib/NX/bin
++PATH_LIB=$NX_DIR/lib/NX/lib
+ NX_ETC_DIR=/etc/nxserver
+ NX_SESS_DIR=/var/lib/nxserver/db
+ NX_HOME_DIR=/var/lib/nxserver/home
+@@ -154,7 +155,7 @@
+ DEFAULT_X_WM=""
+ KILL_DEFAULT_X_WM="1"
+ USER_X_STARTUP_SCRIPT=.Xclients
+-DEFAULT_X_SESSION=/etc/X11/xdm/Xsession
++DEFAULT_X_SESSION=/etc/X11/Sessions/Xsession
+ COMMAND_START_KDE=startkde
+ COMMAND_START_GNOME=gnome-session
+ COMMAND_START_CDE=cdwm
+@@ -263,11 +264,11 @@
+ [ -z "$AGENT_LIBRARY_PATH" ] && AGENT_LIBRARY_PATH=$PATH_LIB
+ [ -z "$PROXY_LIBRARY_PATH" ] && PROXY_LIBRARY_PATH=$PATH_LIB
+ [ -z "$APPLICATION_LIBRARY_PATH" ] && APPLICATION_LIBRARY_PATH=$PATH_LIB
+-[ -z "$APPLICATION_LIBRARY_PRELOAD" ] && APPLICATION_LIBRARY_PRELOAD="$APPLICATION_LIBRARY_PATH/libX11.so.6.2:$APPLICATION_LIBRARY_PATH/libXext.so.6.4:$APPLICATION_LIBRARY_PATH/libXcomp.so:$APPLICATION_LIBRARY_PATH/libXcompext.so.1:$APPLICATION_LIBRARY_PATH/libXrender.so.1.2"
++[ -z "$APPLICATION_LIBRARY_PRELOAD" ] && APPLICATION_LIBRARY_PRELOAD="$APPLICATION_LIBRARY_PATH/libX11.so:$APPLICATION_LIBRARY_PATH/libXext.so:$APPLICATION_LIBRARY_PATH/libXcomp.so:$APPLICATION_LIBRARY_PATH/libXcompext.so:$APPLICATION_LIBRARY_PATH/libXrender.so"
+ if [ -z "$ENABLE_2_0_0_BACKEND" ]
+ then
+ ENABLE_2_0_0_BACKEND="1"
+- [ -z "$(strings $PATH_BIN/nxagent | egrep 'NXAGENT - Version 2.[01].0')" ] && ENABLE_2_0_0_BACKEND="0"
++ [ -z "$(strings $REAL_PATH_BIN/nxagent | egrep 'NXAGENT - Version 2.[01].0')" ] && ENABLE_2_0_0_BACKEND="0"
+ fi
+
+ [ -z "$KDE_PRINTRC" -a -n "$KDEHOME" ] && KDE_PRINTRC="$KDEHOME/share/config/kdeprintrc"
+@@ -288,7 +289,7 @@
+ ERROR="yes" && echo "Error: Invalid value \"PATH_BIN=$PATH_BIN\""
+ # Check for NX agents ...
+
+- [ ! -f "$PATH_BIN/nxagent" ] && \
++ [ ! -f "$REAL_PATH_BIN/nxagent" ] && \
+ ERROR="yes" && echo "Error: Could not find nxagent in $PATH_BIN. Please install some OSS components."
+
+ [ ! -f "$PATH_BIN/nxdesktop" ] && \
+@@ -509,7 +510,7 @@
+ [ -z $(echo "$ENABLE_ROOTLESS_MODE" | egrep "^[0|1]$") ] && \
+ ERROR="yes" && echo "Error: Invalid value \"ENABLE_ROOTLESS_MODE=$ENABLE_ROOTLESS_MODE\""
+
+- [ -z "$(strings $PATH_BIN/nxagent | egrep 'NXAGENT - Version 1.5.0|NXAGENT - Version 2.[01].0')" ] && \
++ [ -z "$(strings $REAL_PATH_BIN/nxagent | egrep 'NXAGENT - Version 1.5.0|NXAGENT - Version 2.[01].0')" ] && \
+ ERROR="yes" && echo "Error: Could not find 1.5.0 or 2.[01].0 version string in nxagent. NX 1.5.0 or 2.[01].0 backend is needed for this version of FreeNX."
+
+ [ -z $(echo "$ENABLE_USESSION" | egrep "^[0|1]$") ] && \
diff --git a/net-misc/nxserver-freenx/files/nxserver-freenx-0.6.0-rdesktop.patch b/net-misc/nxserver-freenx/files/nxserver-freenx-0.6.0-rdesktop.patch
new file mode 100644
index 0000000..e6ed42a
--- /dev/null
+++ b/net-misc/nxserver-freenx/files/nxserver-freenx-0.6.0-rdesktop.patch
@@ -0,0 +1,12 @@
+--- nxnode.orig 2007-02-02 19:54:15.000000000 +0100
++++ nxnode 2007-02-02 19:50:28.000000000 +0100
+@@ -253,6 +253,9 @@
+
+ NODE_APPLICATION=$(node_find_application "$type")
+
++ # For rdesktop/VNC, there is no application to start
++ [ -n "$NODE_APPLICATION" ] || return
++
+ #
+ # Check if we want to use a mediahelper
+ #
diff --git a/net-misc/nxserver-freenx/nxserver-freenx-0.6.0.ebuild b/net-misc/nxserver-freenx/nxserver-freenx-0.6.0.ebuild
new file mode 100644
index 0000000..0237f62
--- /dev/null
+++ b/net-misc/nxserver-freenx/nxserver-freenx-0.6.0.ebuild
@@ -0,0 +1,115 @@
+# Copyright 1999-2006 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit multilib eutils
+
+MY_PN="freenx"
+DESCRIPTION="An X11/RDP/VNC proxy server especially well suited to low bandwidth links such as wireless, WANS, and worse"
+HOMEPAGE="http://freenx.berlios.de/"
+SRC_URI="http://download.berlios.de/${MY_PN}/${MY_PN}-${PV}.tar.gz"
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+RESTRICT="strip"
+IUSE="arts cups esd nxclient"
+DEPEND="virtual/ssh
+ dev-tcltk/expect
+ sys-apps/gawk
+ net-analyzer/gnu-netcat
+ nxclient? ( net-misc/nxclient )
+ !nxclient? ( !net-misc/nxclient )
+ net-misc/nx
+ arts? ( kde-base/arts )
+ cups? ( net-print/cups )
+ esd? ( media-sound/esound )
+ !net-misc/nxserver-freeedition
+ !net-misc/nxserver-personal
+ !net-misc/nxserver-business
+ !net-misc/nxserver-enterprise"
+
+RDEPEND="${DEPEND}"
+
+S=${WORKDIR}/${MY_PN}-${PV}
+
+export NX_HOME_DIR=/var/lib/nxserver/home
+
+pkg_setup () {
+ enewuser nx -1 -1 ${NX_HOME_DIR}
+}
+
+src_unpack() {
+ unpack ${A}
+ cd ${S}
+
+ # fix fullscreen support; see bug 150200
+ epatch ${FILESDIR}/${P}-fullscreen.patch
+ # fix rdesktop/vnc proxying
+ epatch ${FILESDIR}/${P}-rdesktop.patch
+
+ mv node.conf.sample node.conf || die
+
+ epatch ${FILESDIR}/${P}-nxloadconfig.patch
+ # on amd64, get the correct path to NX 32bit libs
+ has_multilib_profile && \
+ sed -i "/PATH_LIB=/s/NX\/lib/NX\/$(get_abi_LIBDIR x86)/" nxloadconfig
+ # Change the defaults in nxloadconfig to meet the users needs.
+ if use arts ; then
+ einfo "Enabling arts support."
+ sed -i '/ENABLE_ARTSD_PRELOAD=/s/"0"/"1"/' nxloadconfig || die
+ sed -i '/ENABLE_ARTSD_PRELOAD=/s/"0"/"1"/' node.conf || die
+ fi
+ if use esd ; then
+ einfo "Enabling esd support."
+ sed -i '/ENABLE_ESD_PRELOAD=/s/"0"/"1"/' nxloadconfig || die
+ sed -i '/ENABLE_ESD_PRELOAD=/s/"0"/"1"/' node.conf || die
+ fi
+ if use cups ; then
+ einfo "Enabling cups support."
+ sed -i '/ENABLE_KDE_CUPS=/s/"0"/"1"/' nxloadconfig || die
+ sed -i '/ENABLE_KDE_CUPS=/s/"0"/"1"/' node.conf || die
+ fi
+}
+
+src_compile() {
+ einfo "Nothing to compile"
+}
+
+src_install() {
+ NX_ETC_DIR=/etc/nxserver
+ NX_SESS_DIR=/var/lib/nxserver/db
+
+ dobin nxserver
+ dobin nxnode
+ dobin nxnode-login
+ dobin nxkeygen
+ dobin nxloadconfig
+ dobin nxsetup
+ use nxclient || dobin nxprint
+ use nxclient || dobin nxclient
+
+ dodir ${NX_ETC_DIR}
+ for x in passwords passwords.orig ; do
+ touch ${D}${NX_ETC_DIR}/$x
+ chmod 600 ${D}${NX_ETC_DIR}/$x
+ done
+
+ insinto ${NX_ETC_DIR}
+ doins node.conf
+
+ dodir ${NX_HOME_DIR}
+
+ for x in closed running failed ; do
+ keepdir ${NX_SESS_DIR}/$x
+ fperms 0700 ${NX_SESS_DIR}/$x
+ done
+}
+
+pkg_postinst () {
+ usermod -s /usr/bin/nxserver nx || die "Unable to set login shell of nx user!!"
+ usermod -d ${NX_HOME_DIR} nx || die "Unable to set home directory of nx user!!"
+
+ elog "To complete the installation, run:"
+ elog " nxsetup --install --setup-nomachine-key --clean --purge"
+ elog "This will use the default Nomachine SSH key"
+}